/*
 * Hydrogen
 * Copyright(c) 2002-2003 by Alex >Comix< Cominu [comix@users.sourceforge.net]
 *
 * http://hydrogen.sourceforge.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY, without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: NullDriver.cpp,v 1.4 2003/08/21 08:07:25 comix Exp $
 *
 */

#include "NullDriver.h"



/**
 *
 */
NullDriver::NullDriver( audioProcessCallback processCallback ) {
	infoLog( "INIT" );
}




/**
 *
 */
NullDriver::~NullDriver() {
	infoLog( "DESTROY" );
}


int NullDriver::init(uint nBufferSize)
{
	return 0;
}


/**
 *
 */
int NullDriver::connect() {
	infoLog( "connect" );
	return 0;
}




/**
 *
 */
void NullDriver::disconnect() {
	infoLog( "disconnect" );
}




/**
 *
 */
/*
void NullDriver::write(float* buffer_L, float* buffer_R, unsigned int bufferSize) {
	infoLog( "write" );
}
*/




/**
 *
 */
uint NullDriver::getBufferSize() {
	return 0;
}





/**
 *
 */
uint NullDriver::getSampleRate() {
	errorLog("getSampleRate() not implemented yet");
	return 44100;
}

float* NullDriver::getOut_L()
{
	errorLog("getOut_L not implemented yet");
	return NULL;
}


float* NullDriver::getOut_R()
{
	errorLog("getOut_R not implemented yet");
	return NULL;
}


